apiversion: v1
plugins:
- agent_env:
  - name: agent_env
    version: 1.0.0
    updated: 2025-11-23T17:50:26+0800
    author: ''
    url: ''
    description: Install Python development environment for various Agent SDKs
    description_zh: 帮助开发者快速安装Agent开发所需的Python环境和SDK
    description_en: Help developers quickly install Python development environment
      and SDKs for Agent development
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 2904b2f05088ec3a985ed2bc87e09e2ab34bf6cf69f3273da65ac7196a5dee3d
    size: 5958
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/agent_env.tar.gz
- anythingLLM:
  - name: anythingLLM
    version: 1.0.0
    updated: 2025-08-11T20:50:35+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/anythingLLM
    description: oeDeploy plugin for anythingLLM fast deployment
    description_zh: 用于anythingLLM快速部署的oeDeploy插件
    description_en: oeDeploy plugin for anythingLLM fast deployment
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: d55da65e0974dfcc23d2f0be16c598b50fe60851c937bc0edfe229bcb3de20d1
    size: 4070
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/anythingLLM.tar.gz
- ascend-driver-manager:
  - name: ascend-driver-manager
    version: 1.0.0
    updated: 2025-11-13T14:55:32+0800
    author: ''
    url: ''
    description: Ascend NPU driver and firmware management plugin
    description_zh: 昇腾NPU驱动和固件管理插件，支持310p和910b芯片的驱动和固件安装、卸载及状态查询
    description_en: Ascend NPU driver and firmware management plugin, supports installation,
      uninstallation and status query for 310p and 910b chips
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 98ceee8c84e64025b20f8b435b845cef4c73135c3c2824041a47caac9f74739d
    size: 6250
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/ascend-driver-manager.tar.gz
- boostkit:
  - name: boostkit
    version: 1.0.0
    updated: 2025-08-11T20:50:35+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/boostkit
    description: oeDeploy plugin for boostkit acclib fast deployment
    description_zh: 鲲鹏BoostKit加速库提供基于ARM指令深度优化和基于鲲鹏KAE（鲲鹏硬件加速引擎）开发的加速库
    description_en: 'The Kunpeng BoostKit acceleration library offers acceleration
      libraries that  are deeply optimized based on ARM instructions and developed
      based on Kunpeng  KAE (Kunpeng Hardware Acceleration Engine)

      '
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 8ae127b8c5a1fb9d4047be8e86dd23523c3532651c7846ea1780471a385c0286
    size: 13069
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/boostkit.tar.gz
- boostkit-offline:
  - name: boostkit-offline
    version: 1.0.0
    updated: 2025-08-11T20:50:35+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/boostkit-offline
    description: oeDeploy plugin for boostkit acclib fast deployment
    description_zh: 鲲鹏BoostKit加速库提供基于ARM指令深度优化和基于鲲鹏KAE（鲲鹏硬件加速引擎）开发的加速库
    description_en: 'The Kunpeng BoostKit acceleration library offers acceleration
      libraries that  are deeply optimized based on ARM instructions and developed
      based on Kunpeng  KAE (Kunpeng Hardware Acceleration Engine)

      '
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 3478bbcf0e7554c4ddc30a2c87104815e687633ced0fc1bd4e9843381ab8af57
    size: 13006
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/boostkit-offline.tar.gz
- cann-toolkit:
  - name: cann-toolkit
    version: 1.0.0
    updated: 2025-11-13T14:55:32+0800
    author: ''
    url: ''
    description: CANN (Compute Architecture for Neural Networks) Toolkit deployment
      plugin
    description_zh: 昇腾CANN工具链一键部署插件，支持Toolkit开发套件包、Kernels算子包、NNAL神经网络加速库、NNAE神经网络加速引擎、NNRT神经网络运行时环境的安装和卸载
    description_en: Ascend CANN Toolkit deployment plugin for one-click installation
      and uninstallation of Toolkit, Kernels, NNAL, NNAE, and NNRT components
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 5fd00e9e095a7757fcb6c2bbc35e6d23f48b9c373ada57b86592e42991bb7dab
    size: 9334
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/cann-toolkit.tar.gz
- deepseek-r1:
  - name: deepseek-r1
    version: 1.0.0
    updated: 2025-08-11T20:50:36+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/deepseek-r1
    description: oeDeploy plugin for deepseek-r1 8b fast deployment
    description_zh: 帮助开发者在本地快速部署deepseek-r1 8b模型的oeDeploy插件
    description_en: The oeDeploy plugin that helps developers quickly deploy the deepseek-r1
      8b model locally.
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: f10d24f818e79df4e962144a8727541b0340dcd9ce3b0343dfe2a036e24caa04
    size: 4918
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/deepseek-r1.tar.gz
- devkit-pipeline-v1.1:
  - name: devkit-pipeline-v1.1
    version: 1.0.0
    updated: 2025-08-11T20:50:37+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/devkit-pipeline-v1.1
    description: oeDeploy plugin for devkit-pipeline-v1.1 fast deployment
    description_zh: 帮助开发者在本地快速部署devkit-pipeline-v1.1工具的oeDeploy插件
    description_en: The oeDeploy plugin helps developers quickly deploy the devkit-pipeline-v1.1
      tool locally
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 2dde6774a475adf05a002bd3a131172ed3468fc11414842e976e0b6b7df08d6b
    size: 2245
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/devkit-pipeline-v1.1.tar.gz
- dify:
  - name: dify
    version: 1.0.0
    updated: 2025-08-11T20:50:37+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/dify
    description: oeDeploy plugin for dify fast deployment
    description_zh: 帮助开发者在本地快速部署dify的oeDeploy插件
    description_en: The oeDeploy plugin that helps developers quickly deploy the dify
      locally.
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: bf88b78cc73a493b0ceecf0c11e208258a22a52f58394c424987dbbf45291469
    size: 4806
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/dify.tar.gz
- dotnet-8:
  - name: dotnet-8
    version: 1.0.0
    updated: 2025-09-17T10:33:25+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/dotnet-8
    description: oeDeploy plugin for .NET 8 installation
    description_zh: 帮助开发者在本地快速安装.NET 8的oeDeploy插件。
    description_en: The oeDeploy plugin that helps developers quickly install .NET
      8 locally.
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 2b146774c01f2dd8e05a0288b68ade36282c1f10697cc6b19fe89f1ef1205c29
    size: 3045
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/dotnet-8.tar.gz
- dotnet-9:
  - name: dotnet-9
    version: 1.0.0
    updated: 2025-09-17T10:33:26+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/dotnet-9
    description: oeDeploy plugin for .NET 9 installation
    description_zh: 帮助开发者在本地快速安装.NET 9的oeDeploy插件。
    description_en: The oeDeploy plugin that helps developers quickly install .NET
      9 locally.
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 6f4edb080bef47f927b6e38bdd1cd21597b24123cc95503b9662c97f575c7aa6
    size: 3044
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/dotnet-9.tar.gz
- euler-copilot:
  - name: euler-copilot
    version: 1.0.0
    updated: 2025-08-11T20:50:38+0800
    author: ''
    url: ''
    description: one-click deployment of EulerCopilot
    description_zh: ''
    description_en: ''
    readme: ''
    icon: ''
    localhost_available: false
    type: app
    sha256sum: cf121f7c9e85c901191b8c1d5bcbdfd4cafe48863def20414218486f7079bdc9
    size: 6218
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/euler-copilot.tar.gz
- helm:
  - name: helm
    version: 1.0.0
    updated: 2025-08-11T20:50:39+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/helm
    description: oeDeploy plugin for helm(default v3.17.3) fast deployment
    description_zh: 帮助开发者在本地快速部署helm(默认版本v3.17.3)工具的oeDeploy插件
    description_en: The oeDeploy plugin helps developers quickly deploy the helm(default
      v3.17.3) locally
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: f0e8b4f62d0b4bda9086ad4d25ff7655b8b810b913c2ce2e8c62d18ac7ab8703
    size: 1360
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/helm.tar.gz
- helm-3.9.0:
  - name: helm-3.9.0
    version: 3.9.0
    updated: 2025-08-11T20:50:38+0800
    author: ''
    url: ''
    description: deploy helm-v3.9.0
    description_zh: ''
    description_en: ''
    readme: ''
    icon: ''
    localhost_available: false
    type: app
    sha256sum: e12e58bc3ca68fd09bf438063268d186aeaf790a7e86a719055b8a97a76cf2c2
    size: 1064
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/helm-3.9.0.tar.gz
- kubeflow-1.9.1:
  - name: kubeflow-1.9.1
    version: 1.0.0
    updated: 2025-08-11T20:50:41+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/kubeflow-1.9.1
    description: oeDeploy plugin for kubeflow fast deployment
    description_zh: 帮助开发者在本地快速部署kubeflow的oeDeploy插件。请确保当前节点是kubernetes集群的master节点。
    description_en: 'The oeDeploy plugin that helps developers quickly deploy kubeflow
      locally.  Please ensure that the current node is the master node of the kubernetes
      cluster.

      '
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 3606dfc6211263da199e6e70541fc4e0d19f02273f6fcd7709ec7ae3b60736b4
    size: 17403857
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/kubeflow-1.9.1.tar.gz
- kuberay:
  - name: kuberay
    version: 1.0.0
    updated: 2025-08-11T20:50:41+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/kuberay
    description: oeDeploy plugin for kuberay(default kuberay-1.2.2 & ray-2.9.0) auto
      deployment
    description_zh: 帮助开发者在本地快速部署kuberay(默认版本 kuberay-1.2.2 & ray-2.9.0)的oeDeploy插件。请确保当前节点是kubernetes集群的master节点。
    description_en: 'The oeDeploy plugin that helps developers quickly deploy kuberay(default
      kuberay-1.2.2 & ray-2.9.0) locally.  Please ensure that the current node is
      the master node of the kubernetes cluster.

      '
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 4afbbe3b8a0a6a28ace96ca45d7cae9563ef8a7bba06aee1aa720103d745b154
    size: 9787
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/kuberay.tar.gz
- kuberay-1.2.2:
  - name: kuberay-1.2.2
    version: 1.2.2
    updated: 2025-03-05T10:26:30+0800
    author: ''
    url: ''
    description: kuberay 1.2.2
    description_zh: ''
    description_en: ''
    readme: ''
    icon: ''
    localhost_available: false
    type: app
    sha256sum: 3508cff7909004ed14a4a3443ac93a6333ca3b41add838d3eb955e0a7684a6c3
    size: 4884
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/kuberay-1.2.2.tar.gz
- kubernetes-1.31.1:
  - name: kubernetes-1.31.1
    version: 1.0.0
    updated: 2025-08-11T20:50:42+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/kubernetes-1.31.1
    description: oeDeploy plugin for kubernetes-1.31.1 fast deployment
    description_zh: 帮助开发者在本地快速部署kubernetes-1.31.1的oeDeploy插件。
    description_en: The oeDeploy plugin that helps developers quickly deploy kubernetes-1.31.1
      locally.
    readme: ''
    icon: ''
    localhost_available: false
    type: app
    sha256sum: a985113fc0a2b05c18636c8105aa515a2ad75aec4250b041010845b7313a1304
    size: 1498721959
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/kubernetes-1.31.1.tar.gz
- mindspore-deepseek:
  - name: mindspore-deepseek
    version: 1.0.0
    updated: 2025-08-11T20:50:52+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/mindspore-deepseek
    description: oeDeploy plugin for mindspore-deepseek fast deployment
    description_zh: 帮助开发者在本地快速部署mindspore-deepseek的oeDeploy插件。
    description_en: The oeDeploy plugin that helps developers quickly deploy mindspore-deepseek
      locally.
    readme: ''
    icon: ''
    localhost_available: false
    type: app
    sha256sum: fe86c433359cf6c0e350f9387ac1385cb61f1d6fc12c2e5e2dec5ac17aeaac5e
    size: 11537
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/mindspore-deepseek.tar.gz
- monodevelop:
  - name: monodevelop
    version: 1.0.0
    updated: 2025-08-22T18:29:13+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/monodevelop
    description: oeDeploy plugin for MonoDevelop installation and management
    description_zh: 帮助开发者在openEuler系统上安装和管理MonoDevelop IDE的oeDeploy插件。
    description_en: The oeDeploy plugin that helps developers install and manage MonoDevelop
      IDE on openEuler systems.
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 7699efa13442aac8d13fd1fdaa2b72d818e60433c7171d1ed478db43dbf8a5a8
    size: 2605
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/monodevelop.tar.gz
- nginx:
  - name: nginx
    version: 1.25.3
    updated: 2025-08-11T20:50:53+0800
    author: ''
    url: ''
    description: Install and configure nginx web server
    description_zh: ''
    description_en: ''
    readme: ''
    icon: ''
    localhost_available: false
    type: app
    sha256sum: d898dc501f9b15ee527fbfe3e51cb604e3fca49bf3cb2a97a5d2c55a55bf8873
    size: 1095
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/nginx.tar.gz
- openEuler-Intelligence:
  - name: openEuler-Intelligence
    version: 1.0.0
    updated: 2025-08-11T20:50:53+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/openEuler-Intelligence
    description: oeDeploy plugin for openEuler-Intelligence fast deployment
    description_zh: 帮助开发者在本地快速部署openEuler-Intelligence工具的oeDeploy插件
    description_en: The oeDeploy plugin helps developers quickly deploy the openEuler-Intelligence
      locally
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: a10cab140479e7dd10d79f65c7d54e2fe95322219693eb971cce80e6d5f96849
    size: 6339
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/openEuler-Intelligence.tar.gz
- openclaw:
  - name: openclaw
    version: 1.0.0
    updated: 2026-02-02T20:07:54+0800
    author: ''
    url: ''
    description: Install and manage openclaw gateway service
    description_zh: 安装并管理 openclaw 网关服务的 oeDeploy 插件
    description_en: The oeDeploy plugin for installing and managing openclaw gateway
      service
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 120ac9f253d228d936c3b879c7ab19c672c6397f18a58a4140765299d2aff397
    size: 5189
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/openclaw.tar.gz
- pytorch:
  - name: pytorch
    version: 1.0.0
    updated: 2025-08-11T20:50:53+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/pytorch
    description: oeDeploy plugin for pytorch fast deployment
    description_zh: 帮助开发者在本地快速部署pytorch的oeDeploy插件。请确保当前节点是kubernetes集群的master节点。
    description_en: 'The oeDeploy plugin that helps developers quickly deploy pytorch
      locally.  Please ensure that the current node is the master node of the kubernetes
      cluster.

      '
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: eaf525da764e20647d3ff7f3cfa8fd71289fdec32e3b4cb82b9c1e811506f7b6
    size: 4699
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/pytorch.tar.gz
- ragflow:
  - name: ragflow
    version: 1.0.0
    updated: 2025-08-11T20:50:54+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/ragflow
    description: oeDeploy plugin for ragflow fast deployment
    description_zh: 帮助开发者在本地快速部署ragflow的oeDeploy插件。
    description_en: The oeDeploy plugin that helps developers quickly deploy ragflow
      locally.
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 5556013031cf6300acf5b90f0ce81ef76cd9865f5d1c8c340a6de532967f66cd
    size: 4426
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/ragflow.tar.gz
- tensorflow:
  - name: tensorflow
    version: 1.0.0
    updated: 2025-08-11T20:50:55+0800
    author: ''
    url: https://gitee.com/openeuler/oeDeploy/tree/master/plugins/tensorflow
    description: oeDeploy plugin for tensorflow fast deployment
    description_zh: 帮助开发者在本地快速部署tensorflow的oeDeploy插件。请确保当前节点是kubernetes集群的master节点。
    description_en: 'The oeDeploy plugin that helps developers quickly deploy tensorflow
      locally.  Please ensure that the current node is the master node of the kubernetes
      cluster.

      '
    readme: ''
    icon: ''
    localhost_available: true
    type: app
    sha256sum: 97d0d68887fcce1cf7339669f1d526f7bb81d061455797ef4bc87d391dbb8930
    size: 4231
    urls:
    - https:/repo.oepkgs.net/openEuler/rpm/openEuler-24.03-LTS/contrib/oedp/plugins/tensorflow.tar.gz
